2012.06.19, Version 0.7.12 (unstable)

This is the last release on the 0.7 branch. Version 0.8.0 will be released some time later this week, barring any major problems.

As with other even-numbered Node releases before it, the v0.8.x releases will maintain API and binary compatibility.

The major changes between v0.6 and v0.8 are detailed in https://github.com/joyent/node/wiki/API-changes-between-v0.6-and-v0.8

Please try out this release. There will be very virtually no changes between this and the v0.8.x release family. This is the last chance to comment before it is locked down for stability. The API is effectively frozen now.

This version adds backwards-compatible shims for binary addons that use libeio and libev directly. If you find that binary modules that could compile on v0.6 can not compile on this version, please let us know. Note that libev is officially deprecated in v0.8, and will be removed in v0.9. You should be porting your modules to use libuv as soon as possible.

V8 is on 3.11.10 currently, and will remain on the V8 3.11.x branch for the duration of Node v0.8.x.

Source Code: http://nodejs.org/dist/v0.7.12/node-v0.7.12.tar.gz

Macintosh Installer (Universal): http://nodejs.org/dist/v0.7.12/node-v0.7.12.pkg

Windows Installer: http://nodejs.org/dist/v0.7.12/node-v0.7.12-x86.msi

Windows x64 Installer: http://nodejs.org/dist/v0.7.12/x64/node-v0.7.12-x64.msi

Windows x64 Files: http://nodejs.org/dist/v0.7.12/x64/

Other release files: http://nodejs.org/dist/v0.7.12/

Website: http://nodejs.org/docs/v0.7.12/

Documentation: http://nodejs.org/docs/v0.7.12/api/

umentation: http://nodejs.org/docs/v0.7.12/api/